Update single subscriber's shipping and billing information - Fabric
Update single subscriber's shipping and billing information
cURL
curl --request PATCH \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id}/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
Python
import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id}/subscriptions"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: Request processed successfully
- 400: Bad request
- 404: Not found
JSON Responses
Successful Response
{
"subscriptions": [
{
"item": {
"sku": "MOBO-X570"
}
}
]
}
Error Responses
Bad Request
{
"responseStatus": "BAD_REQUEST",
"message": "Bad request"
}
Not Found
{
"responseStatus": "NOT_FOUND",
"message": "Not found"
}
Authorizations
- Authorization: Required header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
- id: Required Customer ID (e.g., "62cffd65e8d7eb868c6a29d6").
Body
- Payload must be in
application/jsonformat for updating customer billing and shipping information.
Ship-To and Bill-To Details
shipTo: Object containing ship-to address and phone details.billTo: Object containing bill-to address and phone details.